AnalysisFields
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.fields
Enum AnalysisFields

    java.lang.Object
      java.lang.Enum<AnalysisFields>
          org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.fields.AnalysisFields

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AnalysisFields>

    public enum AnalysisFields

extends java.lang.Enum<AnalysisFields>

Enum Constant Summary
`archivelocation`
`author`
`currentphasepercent`
`description`
`endtime`
`id`
`performedanalysis`
`reportid`
`sources`
`starttime`
`status`
`submissiontime`
`title`
`type`

Method Summary
`static AnalysisFields` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AnalysisFields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### id

    public static final AnalysisFields id

### title

    public static final AnalysisFields title

### author

    public static final AnalysisFields author

### description

    public static final AnalysisFields description

### status

    public static final AnalysisFields status

### submissiontime

    public static final AnalysisFields submissiontime

### starttime

    public static final AnalysisFields starttime

### endtime

    public static final AnalysisFields endtime

### currentphasepercent

    public static final AnalysisFields currentphasepercent

### reportid

    public static final AnalysisFields reportid

### type

    public static final AnalysisFields type

### archivelocation

    public static final AnalysisFields archivelocation

### sources

    public static final AnalysisFields sources

### performedanalysis

    public static final AnalysisFields performedanalysis

Method Detail

### values

    public static AnalysisFields[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AnalysisFields c : AnalysisFields.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AnalysisFields valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD